package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.order.OrderOperation;

/**
 * 滤芯更换记录表
 * 2017年4月17日
 * @author 刘志伟
 */
public class RentChangeLogs implements Serializable{

	private static final long serialVersionUID = 4049816819514623556L;
	
	private Integer logsId;					//id
	private String logsMachineDeviceId;//设备id（微信）
	private String logsOrderId;			//订单号
	private String logsOpenid;			//更换人openId
	private Integer logsRentType;		//租赁类型
	private Integer logsFilterType;		//滤芯类型
	private Integer logsStatus;			//状态
	private Date logsSendTime;			//发货时间
	private String logsPostNum;		//快递单号
	private String logsPostFirm;			//快递公司
	private String logsAddressInfo;	//详细地址
	private String logsAddressTel;		//收件人电话
	private String logsAddressName;//收件人姓名
	private Date logsAccomplishTime;//完成时间
	private Date logsCreateTime;		//创建时间
	private String rentUserNickName;//昵称
	private PageBean page = new PageBean(); //分页
	private List<OrderOperation> operations;   //流程操作工具类
	private String orderLinkStatus;            //流程状态描述
	private String logsReback;			//备注
	private Integer logsOldStatus;		//之前的状态
	
	public String getRentUserNickName() {
		return rentUserNickName;
	}
	public void setRentUserNickName(String rentUserNickName) {
		this.rentUserNickName = rentUserNickName;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public Integer getLogsId() {
		return logsId;
	}
	public void setLogsId(Integer logsId) {
		this.logsId = logsId;
	}
	public String getLogsMachineDeviceId() {
		return logsMachineDeviceId;
	}
	public void setLogsMachineDeviceId(String logsMachineDeviceId) {
		this.logsMachineDeviceId = logsMachineDeviceId;
	}
	public String getLogsOrderId() {
		return logsOrderId;
	}
	public void setLogsOrderId(String logsOrderId) {
		this.logsOrderId = logsOrderId;
	}
	public String getLogsOpenid() {
		return logsOpenid;
	}
	public void setLogsOpenid(String logsOpenid) {
		this.logsOpenid = logsOpenid;
	}
	public Integer getLogsRentType() {
		return logsRentType;
	}
	public void setLogsRentType(Integer logsRentType) {
		this.logsRentType = logsRentType;
	}
	public Integer getLogsFilterType() {
		return logsFilterType;
	}
	public void setLogsFilterType(Integer logsFilterType) {
		this.logsFilterType = logsFilterType;
	}
	public Integer getLogsStatus() {
		return logsStatus;
	}
	public void setLogsStatus(Integer logsStatus) {
		this.logsStatus = logsStatus;
	}
	public Date getLogsSendTime() {
		return logsSendTime;
	}
	public void setLogsSendTime(Date logsSendTime) {
		this.logsSendTime = logsSendTime;
	}
	public String getLogsPostNum() {
		return logsPostNum;
	}
	public void setLogsPostNum(String logsPostNum) {
		this.logsPostNum = logsPostNum;
	}
	public String getLogsPostFirm() {
		return logsPostFirm;
	}
	public void setLogsPostFirm(String logsPostFirm) {
		this.logsPostFirm = logsPostFirm;
	}
	public String getLogsAddressInfo() {
		return logsAddressInfo;
	}
	public void setLogsAddressInfo(String logsAddressInfo) {
		this.logsAddressInfo = logsAddressInfo;
	}
	public String getLogsAddressTel() {
		return logsAddressTel;
	}
	public void setLogsAddressTel(String logsAddressTel) {
		this.logsAddressTel = logsAddressTel;
	}
	public String getLogsAddressName() {
		return logsAddressName;
	}
	public void setLogsAddressName(String logsAddressName) {
		this.logsAddressName = logsAddressName;
	}
	public Date getLogsAccomplishTime() {
		return logsAccomplishTime;
	}
	public void setLogsAccomplishTime(Date logsAccomplishTime) {
		this.logsAccomplishTime = logsAccomplishTime;
	}
	public Date getLogsCreateTime() {
		return logsCreateTime;
	}
	public void setLogsCreateTime(Date logsCreateTime) {
		this.logsCreateTime = logsCreateTime;
	}
	public List<OrderOperation> getOperations() {
		return operations;
	}
	public void setOperations(List<OrderOperation> operations) {
		this.operations = operations;
	}
	public String getOrderLinkStatus() {
		return orderLinkStatus;
	}
	public void setOrderLinkStatus(String orderLinkStatus) {
		this.orderLinkStatus = orderLinkStatus;
	}
	public String getLogsReback() {
		return logsReback;
	}
	public void setLogsReback(String logsReback) {
		this.logsReback = logsReback;
	}

	public Integer getLogsOldStatus() {
		return logsOldStatus;
	}

	public void setLogsOldStatus(Integer logsOldStatus) {
		this.logsOldStatus = logsOldStatus;
	}

	@Override
	public String toString() {
		return "RentChangeLogs{" +
				"logsId=" + logsId +
				", logsMachineDeviceId='" + logsMachineDeviceId + '\'' +
				", logsOrderId='" + logsOrderId + '\'' +
				", logsOpenid='" + logsOpenid + '\'' +
				", logsRentType=" + logsRentType +
				", logsFilterType=" + logsFilterType +
				", logsStatus=" + logsStatus +
				", logsSendTime=" + logsSendTime +
				", logsPostNum='" + logsPostNum + '\'' +
				", logsPostFirm='" + logsPostFirm + '\'' +
				", logsAddressInfo='" + logsAddressInfo + '\'' +
				", logsAddressTel='" + logsAddressTel + '\'' +
				", logsAddressName='" + logsAddressName + '\'' +
				", logsAccomplishTime=" + logsAccomplishTime +
				", logsCreateTime=" + logsCreateTime +
				", rentUserNickName='" + rentUserNickName + '\'' +
				", page=" + page +
				", operations=" + operations +
				", orderLinkStatus='" + orderLinkStatus + '\'' +
				", logsReback='" + logsReback + '\'' +
				", logsOldStatus=" + logsOldStatus +
				'}';
	}
}
